# 22. Virtuoso Functions Guide - dayofmonth

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## dayofmonth

get day of month from a datetime
dayofmonth (in dt datetime);
Description

dayofmonth takes a datetime and returns an integer containing day of the month represented by the datetime

Parameters
dt – A datetime.
Return Values

An INTEGER containing the day of month.

Examples
Simple example

Get current day of month.

See Also

dayname, monthname, dayofweek, dayofyear, quarter, week, month, year, hour, minute, second, timezone